%global _changelog_trimtime %(date +%s -d "1 year ago")

%define _default_patch_fuzz 2
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:   Package management service
Name:      PackageKit
Version:   0.8.13
Release:   1%{?dist}
License:   GPLv2+ and LGPLv2+
URL:       http://www.packagekit.org
Source0:   http://www.packagekit.org/releases/%{name}-%{version}.tar.xz

# Fedora-specific: set Vendor.conf up for Fedora.
Patch0:    PackageKit-0.3.8-Fedora-Vendor.conf.patch

# Fedora specific: the yum backend doesn't do time estimation correctly
Patch1:    PackageKit-0.4.4-Fedora-turn-off-time.conf.patch

# Upstreamable?  allow use of xulrunner2 for browser-plugin support
Patch4: PackageKit-0.7.4-xulrunner2.patch

Requires: %{name}-glib%{?_isa} = %{version}-%{release}
Requires: PackageKit-backend
Requires: shared-mime-info
Requires: comps-extras
Requires: systemd

# required by patch4
BuildRequires: automake gtk-doc libtool
BuildRequires: glib2-devel >= 2.32.0
BuildRequires: dbus-devel  >= 1.1.1
BuildRequires: dbus-glib-devel >= 0.74
BuildRequires: pam-devel
BuildRequires: libX11-devel
BuildRequires: xmlto
BuildRequires: gtk-doc
BuildRequires: gcc-c++
BuildRequires: sqlite-devel
BuildRequires: NetworkManager-devel
BuildRequires: polkit-devel >= 0.92
BuildRequires: libtool
BuildRequires: gtk2-devel
BuildRequires: gtk3-devel
BuildRequires: docbook-utils
BuildRequires: gnome-doc-utils
BuildRequires: python-devel
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libgudev1-devel
BuildRequires: xulrunner-devel
BuildRequires: libarchive-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: pango-devel
BuildRequires: pm-utils-devel
BuildRequires: fontconfig-devel
BuildRequires: systemd-devel
BuildRequires: gobject-introspection-devel
%if !0%{?rhel}
BuildRequires: zif-devel >= 0.2.5
BuildRequires: bash-completion
%endif

%if !0%{?rhel}
BuildRequires: hawkey-devel >= 0.3.13
BuildRequires: rpm-devel >= 4.11.0
BuildRequires: librepo-devel >= 1.0.0
BuildRequires: libsolv-devel
%endif

# functionality moved to udev itself
Obsoletes: PackageKit-udev-helper < %{version}-%{release}
Obsoletes: udev-packagekit < %{version}-%{release}

# No more GTK+-2 plugin
Obsoletes: PackageKit-gtk-module < %{version}-%{release}

# No more smart in Fedora
Obsoletes: PackageKit-smart < %{version}-%{release}

%description
PackageKit is a D-Bus abstraction layer that allows the session user
to manage packages in a secure way using a cross-distro,
cross-architecture API.

%package yum
Summary: PackageKit YUM backend
Group: System Environment/Libraries
Requires: yum >= 3.4.3-45
# python(gio)
Requires: pygobject2
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: PackageKit-backend

%description yum
A backend for PackageKit to enable yum functionality.

%if 0%{?rhel} == 0
%package zif
Summary: PackageKit Zif backend
Group: System Environment/Libraries
Requires: zif >= 0.2.5
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: PackageKit-backend

%description zif
A backend for PackageKit to enable Zif functionality.
%endif

%if 0%{?rhel} == 0
%package hawkey
Summary: PackageKit Hawkey backend
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: PackageKit-backend

%description hawkey
A backend for PackageKit to enable Hawkey functionality.
%endif

%package docs
Summary: Documentation for PackageKit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description docs
API docs for PackageKit.

%package yum-plugin
Summary: Tell PackageKit to check for updates when yum exits
Group: System Environment/Base
Requires: yum >= 3.0
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: dbus-python
Obsoletes: yum-packagekit < %{version}-%{release}

%description yum-plugin
PackageKit-yum-plugin tells PackageKit to check for updates when yum exits.
This way, if you run 'yum update' and install all available updates, puplet
will almost instantly update itself to reflect this.

%package glib
Summary: GLib libraries for accessing PackageKit
Group: Development/Libraries
Requires: dbus >= 1.1.1
Requires: gobject-introspection
Obsoletes: PackageKit-libs < %{version}-%{release}
Provides: PackageKit-libs = %{version}-%{release}

%description glib
GLib libraries for accessing PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System Environment/Base
Requires: crontabs
Requires: %{name}%{?_isa} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package debug-install
Summary: Facility to install debugging packages using PackageKit
Group: System Environment/Base
Requires: %{name}%{?_isa} = %{version}-%{release}
Obsoletes: PackageKit-debuginfo-install <= 0.5.2-0.1.20090902git.fc12

%description debug-install
Provides facility to install debugging packages using PackageKit.

%package glib-devel
Summary: GLib Libraries and headers for PackageKit
Group: Development/Libraries
Requires: %{name}-glib%{?_isa} = %{version}-%{release}
Requires: dbus-devel >= 1.1.1
Requires: sqlite-devel
Obsoletes: PackageKit-devel < %{version}-%{release}
Provides: PackageKit-devel = %{version}-%{release}

%description glib-devel
GLib headers and libraries for PackageKit.

%package backend-devel
Summary: Headers to compile out of tree PackageKit backends
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description backend-devel
Headers to compile out of tree PackageKit backends.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: Development/Libraries
Requires: gtk2
Requires: %{name}-glib%{?_isa} = %{version}-%{release}
Requires: mozilla-filesystem

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package gstreamer-plugin
Summary: Install GStreamer codecs using PackageKit
Group: Development/Libraries
Requires: gstreamer
Requires: %{name}-glib%{?_isa} = %{version}-%{release}
Obsoletes: codeina < 0.10.1-10
Provides: codeina = 0.10.1-10

%description gstreamer-plugin
The PackageKit GStreamer plugin allows any Gstreamer application to install
codecs from configured repositories using PackageKit.

%package gtk3-module
Summary: Install fonts automatically using PackageKit
Group: Development/Libraries
Requires: pango
Requires: %{name}-glib%{?_isa} = %{version}-%{release}

%description gtk3-module
The PackageKit GTK3+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: Development/Libraries
Requires: bash
Requires: %{name}-glib%{?_isa} = %{version}-%{release}

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package device-rebind
Summary: Device rebind functionality for PackageKit
Group: Development/Libraries
Requires: %{name}-glib%{?_isa} = %{version}-%{release}

%description device-rebind
The device rebind functionality offer the ability to re-initialize devices
after firmware has been installed by PackageKit. This removes the need for the
user to restart the computer or remove and re-insert the device.

%prep
%setup -q
%patch0 -p1 -b .fedora
%patch1 -p1 -b .no-time
%patch4 -p1 -b .xulrunner2

NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-static \
        --enable-yum \
        --disable-bash-completion \
%if 0%{?rhel} == 0
        --enable-zif \
        --enable-hawkey \
        --enable-introspection \
        --enable-bash-completion \
%endif
        --with-default-backend=auto \
        --disable-local \
        --disable-strict \
        --disable-silent-rules \
        --disable-tests

make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/libpackagekit*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-plugins/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/packagekit-plugin.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/modules/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/libpackagekit-action-lookup.la

touch $RPM_BUILD_ROOT%{_localstatedir}/cache/PackageKit/groups.sqlite

# create a link that GStreamer will recognise
pushd ${RPM_BUILD_ROOT}%{_libexecdir} > /dev/null
ln -s pk-gstreamer-install gst-install-plugins-helper
popd > /dev/null

# create a link that from the comps icons to PK, as PackageKit frontends
# cannot add /usr/share/pixmaps/comps to the icon search path as some distros
# do not use comps. Patching this in the frontend is not a good idea, as there
# are multiple frontends in multiple programming languages.
pushd ${RPM_BUILD_ROOT}%{_datadir}/PackageKit > /dev/null
ln -s ../pixmaps/comps icons
popd > /dev/null

%find_lang %name

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
systemctl enable packagekit-offline-update.service &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%post glib -p /sbin/ldconfig

%postun glib -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_sysconfdir}/PackageKit
%dir %{_sysconfdir}/PackageKit/events
%dir %{_sysconfdir}/PackageKit/events/post-transaction.d
%dir %{_sysconfdir}/PackageKit/events/pre-transaction.d
%{_sysconfdir}/PackageKit/events/*.d/README
%dir %{_localstatedir}/lib/PackageKit
%dir %{python_sitelib}/packagekit
%dir %{_localstatedir}/cache/PackageKit
%ghost %verify(not md5 size mtime) %{_localstatedir}/cache/PackageKit/groups.sqlite
%dir %{_localstatedir}/cache/PackageKit/downloads
%dir %{_localstatedir}/cache/PackageKit/metadata
%{python_sitelib}/packagekit/*py*
%if !0%{?rhel}
%{_datadir}/bash-completion/completions/pkcon
%endif
%dir %{_libdir}/packagekit-backend
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config %{_sysconfdir}/dbus-1/system.d/*
%dir %{_datadir}/PackageKit/helpers/test_spawn
%{_datadir}/PackageKit/icons
%{_datadir}/PackageKit/helpers/test_spawn/*
%{_datadir}/man/man1/pkcon.1.gz
%{_datadir}/man/man1/pkmon.1.gz
%{_datadir}/man/man1/pkgenpack.1.gz
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/polkit-1/rules.d/*
%{_datadir}/mime/packages/packagekit-*.xml
%{_datadir}/PackageKit/pk-upgrade-distro.sh
%{_libexecdir}/packagekitd
%{_libexecdir}/pk-trigger-offline-update
%{_bindir}/pkmon
%{_bindir}/pkcon
%{_bindir}/pkgenpack
%{_bindir}/packagekit-bugreport.sh
%exclude %{_libdir}/libpackagekit*.so.*
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_test_*.so
%ghost %verify(not md5 size mtime) %{_localstatedir}/lib/PackageKit/transactions.db
%{_datadir}/dbus-1/system-services/*.service
%{_libdir}/pm-utils/sleep.d/95packagekit
%dir %{_libdir}/packagekit-plugins
%{_libdir}/packagekit-plugins/*.so
%{_libdir}/girepository-1.0/PackageKitPlugin-1.0.typelib
%{_datadir}/dbus-1/interfaces/*.xml
/usr/lib/systemd/system/packagekit-offline-update.service
/usr/lib/systemd/system/packagekit.service
%{_libexecdir}/pk-*offline-update

%files docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/PackageKit

%files yum
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/PackageKit/Yum.conf
%{_libdir}/packagekit-backend/libpk_backend_yum.so
%dir %{_datadir}/PackageKit/helpers/yum
%{_datadir}/PackageKit/helpers/yum/*

%if 0%{?rhel} == 0
%files zif
%defattr(-,root,root,-)
%{_libdir}/packagekit-backend/libpk_backend_zif.so
%dir %{_datadir}/PackageKit/helpers/zif
%{_datadir}/PackageKit/helpers/zif/*
%endif

%if 0%{?rhel} == 0
%files hawkey
%defattr(-,root,root,-)
%{_libdir}/packagekit-backend/libpk_backend_hawkey.so
%endif

%files yum-plugin
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/yum/pluginconf.d/refresh-packagekit.conf
/usr/lib/yum-plugins/refresh-packagekit.*

%files glib
%defattr(-,root,root,-)
%{_libdir}/*packagekit-glib2.so.*
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib

%files cron
%defattr(-,root,root,-)
%config %{_sysconfdir}/cron.daily/packagekit-background.cron
%config(noreplace) %{_sysconfdir}/sysconfig/packagekit-background

%files debug-install
%defattr(-,root,root,-)
%{_bindir}/pk-debuginfo-install
%{_datadir}/man/man1/pk-debuginfo-install.1.gz

%files browser-plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/packagekit-plugin.so

%files gstreamer-plugin
%defattr(-,root,root,-)
%{_libexecdir}/pk-gstreamer-install
%{_libexecdir}/gst-install-plugins-helper

%files gtk3-module
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/modules/*.so
%{_libdir}/gtk-3.0/modules/*.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/*.desktop

%files command-not-found
%defattr(-,root,root,-)
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf

%files device-rebind
%defattr(-,root,root,-)
%{_sbindir}/pk-device-rebind
%{_datadir}/man/man1/pk-device-rebind.1.gz

%files glib-devel
%defattr(-,root,root,-)
%{_libdir}/libpackagekit-glib2.so
%{_libdir}/pkgconfig/packagekit-glib2.pc
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-glib2
%{_includedir}/PackageKit/packagekit-glib*/*.h
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
%{_datadir}/gir-1.0/PackageKitPlugin-1.0.gir

%files backend-devel
%defattr(-,root,root,-)
%dir %{_includedir}/PackageKit
%{_includedir}/PackageKit/plugin
%{_libdir}/pkgconfig/packagekit-plugin.pc

%changelog
* Fri Nov 22 2013 Richard Hughes <rhughes@redhat.com> - 0.8.13-1
- New upstream release
- Add a systemd packagekit.service file
- Do not abort the daemon if we can't write to a database
- Do not proxy the action states when simulating
- Don't crash if ProxyHTTP is set
- Fix several small memory leaks
- Log all systemd-updates warnings and notices to the journal
- Raise the GLib dep to 2.32
- Remove duplicate assignment of pkcon '-y' option
- hawkey: Lots of bugfixes and new features
- yum: Do not auto-close the rpmdb when running a transaction

* Mon Nov 04 2013 Rex Dieter <rdieter@fedoraproject.org> 0.8.12-3
- own %%{_libdir}/packageKit-plugins

* Fri Nov 01 2013 Richard Hughes <rhughes@redhat.com> - 0.8.12-2
- Show some text progress when the offline update is going on

* Fri Oct 18 2013 Richard Hughes <rhughes@redhat.com> - 0.8.12-1
- New upstream release
- Destroy and re-create the control proxy if the server changes
- Do not have duplicate 'interactive' properties
- Do not send the backend a cache age of -308 when using UINT_MAX
- Make PkTask thread-default-context aware
- Resolves: #1016566

* Thu Oct 10 2013 Jóhann B. Guðmundsson <johannbg@fedoraproject.org> - 0.8.11-3
- -cron: require crontabs instead of cronie (#989090)

* Mon Sep 23 2013 Richard Hughes <rhughes@redhat.com> - 0.8.11-2
- Backport the package history functionality from master and some other
  related bug fixes for gnome-software.

* Mon Sep 02 2013 Richard Hughes <rhughes@redhat.com> - 0.8.11-1
- New upstream release
- Add a few missing subcommands to the help output
- Add a new backend using hawkey that also uses librepo
- Add offline update commands to the pkcon man page
- Make it possible to cancel an offline update
- yum: Do not check for infra packages when getting the update list
- yum: Do not use network access if we're filtering with ONLY_DOWNLOAD
- zif: Do not use network access if we're filtering with ONLY_DOWNLOAD

* Tue Aug 20 2013 Richard Hughes <rhughes@redhat.com> - 0.8.10-2
- Do not build the smart backend, it's about to be removed from Fedora.

* Fri Jul 26 2013 Richard Hughes <rhughes@redhat.com> - 0.8.10-1
- New upstream release
- Actually return the error if any PkClient methods failed
- Add a 'DOWNLOADED' filter to select only packages already in the cache
- Add three pkcon sub-commands for offline updates
- Local active users in the wheel group can install signed packages w/o a password
- Fix a potential segfault when getting the error code for the results
- If the transaction database is missing, show an error and cleanly shutdown
- Only search newest packages when resolving 'pkcon update foo'
- Raise the package process threshold to 5000
- systemd-updates: Do not exit with an error for a race condition
- yum: Only download the offline update packages if not already in the cache
- yum: Use yb.downloadPkgs() to download updates

* Sat Jun 22 2013 Matthias Clasen <mclasen@redhat.com> - 0.8.9-6
- Trim %%changelog

* Thu Jun 13 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-5
- Backport another fix from master to fix the passwordless install for users
  in wheel group only bug.
- Resolves: #975214

* Thu Jun 13 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-4
- Backport another fix from master to fix the offline updates feature.
- Resolves: #968936

* Thu Jun 06 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-3
- Backport 2 fixes from master to increase the maximum number of packages that
  can be processed, and also to fix a race in the offline updates feature.

* Tue May 21 2013 Matthias Clasen <mclasen@redhat.com> - 0.8.9-2
- Make build without bash-completion actually work

* Mon May 20 2013 Richard Hughes <rhughes@redhat.com> - 0.8.9-1
- New upstream release
- Add 'pkcon backend-details' to be get details of the selected backend
- Do not rely on Python2 to write UTF-8 strings
- Update the comps->group mapping for Fedora 19
- When converting to unicode special case YumBaseError

* Thu May 09 2013 Richard Hughes <rhughes@redhat.com> - 0.8.8-2
- Backport a patch from master to fix package selection in gnome-packagekit
- Resolves: #960081

* Wed May 08 2013 Richard Hughes <rhughes@redhat.com> - 0.8.8-1
- New upstream release
- PackageKit now allow local active users to install signed software without
  prompting for authentication. If you need to change this you will need to
  either install a PolicyKit override or just patch the policy file.
- Added Provides property to retrieve which Provides the backend supports
- Allow clients to call org.freedesktop.DBus.Peer
- browser-plugin: Do not crash when running an installed package that is upgradable
- Do not install the bash-completion code in /etc
- Do not use _UTF8Writer when using python3
- Don't abort the daemon if the client requests a property that does not exist
- Don't use the default main context in sync PkClient methods
- Expose the transaction flags on the .Transaction object
- Pause for 10 seconds if an error occurred before restarting systemd-updates
- Remove the prepared-updates file if any relevant state was changed
- Support getting the distro-id from /etc/os-release
- Use PIE to better secure installed tools and also use full RELRO in the daemon
- Use the correct session method to fix font installation in pk-gtk-module
- Write a pre-failure status file in case the update transaction crashes
- yum: Ensure conf.cache is set before repo.cache is created
- yum: Ignore errors when removing packages to work out the requires list
- zif: Do not issue a critical warning when doing WhatProvides
- zif: Use the same speedup used in libzif upstream

* Thu Apr 04 2013 Kalev Lember <kalevlember@gmail.com> - 0.8.7-4
- Drop the dep on preupgrade

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 17 2013 Tomas Bzatek <tbzatek@redhat.com> - 0.8.7-2
- Rebuilt for new libarchive

* Wed Jan 16 2013 Richard Hughes  <rhughes@redhat.com> - 0.8.7-1
- New upstream release
- Do not ask for authentication when the transaction is being simulated
- If a simulated only-trusted transaction returns with need-untrusted
  then re-simulate with only-trusted=FALSE
- systemd-updates: Don't show 'Update process 99% complete'
- The GStreamer provide name is gstreamer1() not gstreamer1.0()
- Use /dev/tty or /dev/console where available

* Mon Nov 26 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.6-1
- New upstream release
- Don't search in command-not-found if backend is known to be too slow
- Correctly match the installed file to a package when checking shared libraries
- Do not send the UpdatesChanged signal for only-download or simulate
- Don't throw a cryptic warning when 'pkcon update' has no packages needing an update
- Emit RequireRestart(system) in a PackageKit daemon plugin
- Move the libpackagekit-qt code to a separate project
- Perform the simulation of spawned transactions correctly
- Reinstate 'pkcon list-create' for the service pack functionality
- Show a progressbar if the user presses [esc] during the system update
- yum: Don't crash when resolving groups
- yum: Don't rely on a blacklist for RequireRestart
- yum: Handle NoMoreMirrorsRepoError when using repo.getPackage()
- yum: Only emit the package list once when using WhatProvides() with multiple search terms
- yum: Use a the error NoPackagesToUpdate when there are no updates available
- zif: Don't try to cancel the backend if it's not running

* Wed Oct 31 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.5-3
- -yum-plugin: make PK dep versioned

* Mon Oct 29 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.5-1
- New upstream release
- Remove upstreamed patches
- zif: Fix a critical warning when enabling a repository

* Mon Oct 08 2012 Rex Dieter <rdieter@fedoraproject.org> 0.8.4-4
- -yum: Requires: yum >= 3.4.3-45

* Thu Oct 04 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.4-3
- Backport some more patches from upstream:
- Never show the DBUS remote error to the user
- Fix the pango_language_matches() parameter list regression
- Don't crash when writing the offline-updates results file
- Only save interesting packages to offline-update-competed
- Resolves: #862161, #857908

* Tue Oct 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.8.4-2
- yum: Requires: yum >= 3.4.3-35
- PackageKit.conf: StateChangedTimeoutPriority=2 
- backport -qt api/abi change

* Mon Oct 01 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.4-1
- New upstream release
- Suggest a Linux binary if the Solaris name is used
- Use pkttyagent to request user passwords if required
- Ask PackageKit to quit when yum is started

* Tue Sep 18 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-4
- Ensure we cancel background transactions when an interactive
  transaction is scheduled.

* Mon Sep 07 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-3
- Rework the manaully added requires so that PackageKit-glib doesn't
  pull in so many deps.

* Fri Sep 07 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-2
- Work around a yum API break so that resolving still works
- In e42ea3dc0b02ba73a11211de4062e87abfb77a6a yum changed the public API
  so that str(repo) returned 'fedora/18/i386' rather than just 'fedora'.

* Mon Aug 06 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.3-1
- New upstream release
- This is the first release that allows transactions to run in parallel
- The zif backend can run in parallel by default, the yum backend still
  runs each transaction one at a time
- Save the transaction flags when removing packages
- Fix a python backtrace when removing a package
- Add GStreamer 1.0 support to the PackageKit plugin
- Add WritePreparedUpdates config item for admins

* Tue Jul 24 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.2-3
- Fix several reported problems with the offline-update funtionality.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.2-1
- New upstream release
- Bumped sonames for libpackagekit-glib and libpackagekit-qt
- Lots of fixes to systemd-updates offline update functionality
- Remove the Transaction.UpdateSystem() method
- Don't show a warning if /var/run/PackageKit/udev does not exist
- Never run any plugins for simulated actions

* Thu Jul 12 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.8.1-8
- fix UL vs ULL type mismatch in qt bindings (#839712)
- tighten subpkg deps with %%_isa

* Tue Jul 09 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-7
- Fix several reported problems with the offline-update funtionality.

* Mon Jul 09 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-6
- Fix several reported problems with the offline-update funtionality.

* Thu Jul 05 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-5
- Correctly write the /var/lib/PackageKit/prepared-update file.

* Mon Jul 02 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-4
- Fix several reported problems with the offline-update funtionality.

* Fri Jun 29 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-3
- Fix several reported problems with the offline-update funtionality.

* Thu Jun 28 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-2
- Apply a combined patch from master to fix several reported issues
  with the OS update feature.

* Mon Jun 25 2012 Richard Hughes  <rhughes@redhat.com> - 0.8.1-1
- New upstream release
